---
schema_version: "1"
id: 7dab2b4c55ea34cece3c9ebda0a9633eb9dfdc35cec37b9f980642aadaa69016
title: GDS Profile Sync
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/industries-integrations/loyalty/references/generated-api-specs/loyalty_gds_api.md
canonical_url: https://developer.salesforce.com/docs/industries/loyalty/references/loyalty_gds_api
source_site: developer.salesforce.com
content_type: documentation
content_hash: cd1b73d24107a38b82d639a14997e3be094d6698cebae463852d97d1b496990c
products:
  - Loyalty Management Integrations API
  - Industries Integrations
---
GDS Profile Sync

# GDS Profile Sync

Use the Loyalty Management GDS Profile Sync API to sync profiles between Loyalty Management and GDS.

**Version:** v1

Protocols: https.

## Operations

### POST Add members

`POST /members`

Use this resource to add a member.

#### Parameters

*   `client_id` (header, string, required) The client ID to access the API.
*   `client_secret` (header, string, required) The client secret to access the API.

#### Request body

Media type: `application/json`. Schema: `object`.

*   `createdById` (_string_, required) The unique ID using which the account was created.
*   `createdDate` (_string_, required) The date on which account was created.
*   `birthdate` (_string_, required) The member's date of birth.
*   `loyaltyNumber` (_string_, required) The membership number of the loyalty program member.
*   `surname` (_string_, required) The last name of the member.
*   `gender` (_string_, required) The member's gender.
*   `givenName` (_string_, required) The first name of the member.
*   `phoneNumber` (_string_, required) The member's phone number.
*   `phoneType` (_string_, required) The type of phone number.
*   `loyaltyLevel` (_string_, required) The passenger's membership tier or status with the airline’s frequent flyer program.
*   `email` (_string_, required) The email ID of the member.
*   `loyaltyLevelDescription` (_string_, required) A description of the benefits, privileges, and requirements associated with each loyalty level.
*   `keyword` (_string_, required) The token that’s sent to assign specific benefits.
*   `instance` (_string_, required) A sequential number for every message sent.
*   `expireDate` (_string_, required) The date on which the membership expires.

_Example_

```
createdById: ""
createdDate: ""
birthdate: ""
loyaltyNumber: ""
surname: ""
gender: ""
givenName: ""
phoneNumber: ""
phoneType: ""
loyaltyLevel: ""
email: ""
loyaltyLevelDescription: ""
keyword: ""
instance: ""
expireDate: ""
```

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
*   **400** Bad request.
    
    Media type: `application/json`. Schema: `object`.
    
    *   `transactionStatus` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_) A short description of the error.
    
    _Example: invalid-toast-transaction-type_
    
    ```
    transactionStatus: BAD_REQUEST
    message: Invalid request.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
*   **404** Resource not found.
    
    Media type: `application/json`. Schema: `object`.
    
    *   `transactionStatus` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_) A short description of the error.
    
    _Example: invalid-toast-transaction-type_
    
    ```
    transactionStatus: BAD_REQUEST
    message: Invalid request.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
*   **405** Method not allowed.
    
    Media type: `application/json`. Schema: `object`.
    
    *   `transactionStatus` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_) A short description of the error.
    
    _Example: invalid-toast-transaction-type_
    
    ```
    transactionStatus: BAD_REQUEST
    message: Invalid request.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
*   **415** Unsupported media type.
    
    Media type: `application/json`. Schema: `object`.
    
    *   `transactionStatus` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_) A short description of the error.
    
    _Example: invalid-toast-transaction-type_
    
    ```
    transactionStatus: BAD_REQUEST
    message: Invalid request.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
*   **500** Internal server error.
    
    Media type: `application/json`. Schema: `object`.
    
    *   `transactionStatus` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_) A short description of the error.
    
    _Example: invalid-toast-transaction-type_
    
    ```
    transactionStatus: BAD_REQUEST
    message: Invalid request.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    

### PUT Update members

`PUT /members`

Use this resource to update member details.

#### Parameters

*   `client_id` (header, string, required) The client ID to access the API.
*   `client_secret` (header, string, required) The client secret to access the API.

#### Request body

Media type: `application/json`. Schema: `object`.

*   `createdById` (_string_, required) The unique ID using which the account was created.
*   `createdDate` (_string_, required) The date on which account was created.
*   `birthdate` (_string_, required) The member's date of birth.
*   `loyaltyNumber` (_string_, required) The membership number of the loyalty program member.
*   `surname` (_string_, required) The last name of the member.
*   `gender` (_string_, required) The member's gender.
*   `givenName` (_string_, required) The first name of the member.
*   `phoneNumber` (_string_, required) The member's phone number.
*   `phoneType` (_string_, required) The type of phone number.
*   `loyaltyLevel` (_string_, required) The passenger's membership tier or status with the airline’s frequent flyer program.
*   `email` (_string_, required) The email ID of the member.
*   `loyaltyLevelDescription` (_string_, required) A description of the benefits, privileges, and requirements associated with each loyalty level.
*   `keyword` (_string_, required) The token that’s sent to assign specific benefits.
*   `instance` (_string_, required) A sequential number for every message sent.
*   `expireDate` (_string_, required) The date on which the membership expires.

_Example_

```
createdById: ""
createdDate: ""
birthdate: ""
loyaltyNumber: ""
surname: ""
gender: ""
givenName: ""
phoneNumber: ""
phoneType: ""
loyaltyLevel: ""
email: ""
loyaltyLevelDescription: ""
keyword: ""
instance: ""
expireDate: ""
```

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
*   **400** Bad request.
    
    Media type: `application/json`. Schema: `object`.
    
    *   `transactionStatus` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_) A short description of the error.
    
    _Example: invalid-toast-transaction-type_
    
    ```
    transactionStatus: BAD_REQUEST
    message: Invalid request.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
*   **404** Resource not found.
    
    Media type: `application/json`. Schema: `object`.
    
    *   `transactionStatus` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_) A short description of the error.
    
    _Example: invalid-toast-transaction-type_
    
    ```
    transactionStatus: BAD_REQUEST
    message: Invalid request.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
*   **405** Method not allowed.
    
    Media type: `application/json`. Schema: `object`.
    
    *   `transactionStatus` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_) A short description of the error.
    
    _Example: invalid-toast-transaction-type_
    
    ```
    transactionStatus: BAD_REQUEST
    message: Invalid request.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
*   **415** Unsupported media type.
    
    Media type: `application/json`. Schema: `object`.
    
    *   `transactionStatus` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_) A short description of the error.
    
    _Example: invalid-toast-transaction-type_
    
    ```
    transactionStatus: BAD_REQUEST
    message: Invalid request.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
*   **500** Internal server error.
    
    Media type: `application/json`. Schema: `object`.
    
    *   `transactionStatus` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_) A short description of the error.
    
    _Example: invalid-toast-transaction-type_
    
    ```
    transactionStatus: BAD_REQUEST
    message: Invalid request.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    

### DELETE Delete members

`DELETE /members`

Use this resource to delete a member.

#### Parameters

*   `client_id` (header, string, required) The client ID to access the API.
*   `client_secret` (header, string, required) The client secret to access the API.

#### Request body

Media type: `application/json`. Schema: `object`.

*   `loyaltyNumber` (_string_, required) The membership number of the loyalty program member.

_Example_

```
loyaltyNumber: ""
```

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
*   **400** Bad request.
    
    Media type: `application/json`. Schema: `object`.
    
    *   `transactionStatus` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_) A short description of the error.
    
    _Example: invalid-toast-transaction-type_
    
    ```
    transactionStatus: BAD_REQUEST
    message: Invalid request.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
*   **404** Resource not found.
    
    Media type: `application/json`. Schema: `object`.
    
    *   `transactionStatus` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_) A short description of the error.
    
    _Example: invalid-toast-transaction-type_
    
    ```
    transactionStatus: BAD_REQUEST
    message: Invalid request.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
*   **405** Method not allowed.
    
    Media type: `application/json`. Schema: `object`.
    
    *   `transactionStatus` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_) A short description of the error.
    
    _Example: invalid-toast-transaction-type_
    
    ```
    transactionStatus: BAD_REQUEST
    message: Invalid request.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
*   **415** Unsupported media type.
    
    Media type: `application/json`. Schema: `object`.
    
    *   `transactionStatus` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_) A short description of the error.
    
    _Example: invalid-toast-transaction-type_
    
    ```
    transactionStatus: BAD_REQUEST
    message: Invalid request.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
*   **500** Internal server error.
    
    Media type: `application/json`. Schema: `object`.
    
    *   `transactionStatus` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_) A short description of the error.
    
    _Example: invalid-toast-transaction-type_
    
    ```
    transactionStatus: BAD_REQUEST
    message: Invalid request.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource not found.
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method not allowed.
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal server error.
    ```